# Create user

Create a user and set the `mfaBypass` property for testing purposes.
This route is for management use only.

Endpoint: POST /resources/vendor-only/users/v1
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `email` (string)
    The email of the user. If not provided, the username is required

  - `username` (string)
    The username of the user. If not provided, the email is required. Maximum length is 255 characters.

  - `name` (string)

  - `password` (string)

  - `phoneNumber` (string)

  - `metadata` (string)
    Stringified JSON object

  - `vendorMetadata` (string)
    Extra vendor-only data. stringified JSON object

  - `roleIds` (array)
    Role IDs to assign to the user

  - `tenantId` (string, required)

  - `expirationInSeconds` (number)
    Temporary user expiration in seconds

  - `mfaBypass` (boolean)
    Bypass MFA for this user

  - `externalId` (string)
    The external id of the user

## Response 201 fields (application/json):

  - `id` (string, required)

  - `email` (string, required)

  - `name` (string, required)

  - `profilePictureUrl` (string, required)

  - `sub` (string, required)

  - `verified` (boolean, required)

  - `mfaEnrolled` (boolean, required)

  - `mfaBypass` (boolean)

  - `phoneNumber` (string)

  - `roles` (array, required)

  - `roles.id` (string, required)

  - `roles.vendorId` (string, required)

  - `roles.tenantId` (string, required)

  - `roles.key` (string, required)

  - `roles.name` (string, required)

  - `roles.description` (string, required)

  - `roles.isDefault` (boolean, required)

  - `roles.firstUserRole` (boolean, required)

  - `roles.level` (number, required)

  - `roles.createdAt` (string, required)

  - `roles.updatedAt` (string, required)

  - `roles.permissions` (array, required)

  - `permissions` (array, required)

  - `permissions.id` (string, required)

  - `permissions.key` (string, required)

  - `permissions.name` (string, required)

  - `permissions.description` (string, required)

  - `permissions.createdAt` (string, required)

  - `permissions.updatedAt` (string, required)

  - `permissions.roleIds` (array, required)

  - `permissions.categoryId` (string, required)

  - `permissions.fePermission` (boolean, required)

  - `provider` (string, required)

  - `tenantId` (string, required)

  - `tenantIds` (array, required)

  - `activatedForTenant` (boolean)

  - `isLocked` (boolean)

  - `tenants` (array, required)

  - `tenants.tenantId` (string, required)

  - `tenants.roles` (array, required)

  - `tenants.temporaryExpirationDate` (string)

  - `tenants.isDisabled` (boolean)

  - `invisible` (boolean)

  - `superUser` (boolean)

  - `metadata` (string, required)

  - `vendorMetadata` (string, required)

  - `externalId` (string)

  - `createdAt` (string, required)

  - `lastLogin` (string, required)

  - `groups` (array)

  - `subAccountAccessAllowed` (boolean, required)

  - `managedBy` (string)
    Enum: "frontegg", "scim2", "external"

